<!doctype html>
<html lang="pt" xmlns:th="http://thymeleaf.org"
      xmlns:sec="http://thymeleaf.org/thymeleaf-extras-springsecurity5">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-eOJMYsd53ii+scO/bJGFsiCZc+5NDVN2yr8+0RDqr0Ql0h+rP48ckxlpbzKgwra6" crossorigin="anonymous">
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <title th:text="${post.title}"/>
</head>
<body>

    <header>
        <nav class="navbar navbar-light bg-light">
            <span class="navbar-brand mb-0 h1" style="font-weight: bold">Spring and Bootstrap Blog</span>
            <div sec:authorize="isAuthenticated()"><span sec:authentication="name" /><span sec:authentication="principal.authorities"/>
            <a th:href="@{/logout}" class="btn btn-light" role="button">Logout</a>
            </div>
        </nav>
    </header>

    <main>
        <section>
            <div class="container" style="width: 60%; padding-bottom: 2rem">

                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb" style="background-color: white; padding-left: 0">
                        <li class="breadcrumb-item" aria-current="page"><a href="/posts">Posts</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Post</li>
                    </ol>
                </nav>

                <article>
                    <h1 class=""card-title style="font-weight: bold; margin-bottom: 1rem">
                        <span th:text="${post.title}" />
                    </h1>

                    <p class="card-subtitle mb-2 text-muted">
                        <i class="material-icons">person_outline</i>
                        <span th:text="${post.author}" />
                        <br/>
                        <i class="material-icons">date_range</i>
                        <span th:text="${post.date}" />
                    </p>

                    <section>
                        <p class="card-text" style="margin-top: 1rem">
                            <span th:utext="${post.text}" />
                        </p>
                    </section>
                </article>
            </div>
        </section>
    </main>

    <footer>

    </footer>

    </body>
</html>